<bugID>1167585<Summary>Different or no onboarding experience offered for users signing up with FxA instead of regular email</Summary><Description>Reproduced with Firefox 38.0.5 RC build

When users sign up to Pocket using FxA, they see a pop-up with few information about Pocket. 
There is a different experience when signing up with email - in this case there is a welcome tour showing all available options for Pocket.

Expected: Same on-boarding experience for users</Description></bugID>